<?php

/////////////////////////////////////////////////////////////////////////////
// General information
/////////////////////////////////////////////////////////////////////////////

$app['basename'] = 'digitalworld';
$app['version'] = '0.0.3';
$app['release'] = '1';
$app['vendor'] = 'Vendor'; // e.g. Acme Co
$app['packager'] = 'Packager'; // e.g. Gordie Howe
$app['license'] = 'MyLicense'; // e.g. 'GPLv3';
$app['license_core'] = 'MyLicense'; // e.g. 'LGPLv3';
$app['description'] = lang('digitalworld_app_description');

/////////////////////////////////////////////////////////////////////////////
// App name and categories
/////////////////////////////////////////////////////////////////////////////

$app['name'] = lang('digitalworld_app_name');
$app['category'] = lang('base_category_server');
$app['subcategory'] = lang('base_subcategory_decentralized');

/////////////////////////////////////////////////////////////////////////////
// Packaging
/////////////////////////////////////////////////////////////////////////////

$app['requires'] = array(
    'app-clearlife',
    'app-base >= 1:2.10.1',
);

$app['core_requires'] = array(
    'app-clearlife-core',
    'python36-toml',
    'sqlite >= 3.0',
    'stellar-core',
);

$app['core_file_manifest'] = array(
    'digitalworld.logrotate' => array('target' => '/etc/logrotate.d/digitalworld'),
    'digitalworld.rsyslog' => array('target' => '/etc/rsyslog.d/digitalworld.conf'),
    'network-configuration-event'=> array(
        'target' => '/var/clearos/events/network_configuration/digitalworld',
        'mode' => '0755'
    ),
);

$app['core_directory_manifest'] = array(
    '/var/clearos/digitalworld' => array(),
);
